It seems that you're using an outdated browser. Some things may not work as they should (or don't work at all).
We suggest you upgrade newer and better browser like: Chrome, Firefox, Internet Explorer or Opera

×
avatar
ylod111:
avatar
Themken: Manually download that file and replace the one the script downloaded. Too difficult? If you have fast, reliable and unmetered internet, just delete all and start over.
Sorry if I come across as dense, but where exactly do I replace the file? The script stops after the download and does not seem to create any sort of files or folders to replace or edit. Manually downloading dgvoodoo and placing it in the script directory does not do anything.
avatar
ylod111:
Sorry for being dense in this matter :-( but I do not know as I never looked into how these work in detail.

Maybe some temp folder?
Post edited September 23, 2020 by Themken
avatar
ylod111:
avatar
Themken: Sorry for being dense in this matter :-( but I do not know as I never looked into how these work in detail.

Maybe some temp folder?
Probably.

I have sort of solved it though - brute force and ignorance style - I edited the script file and removed the checksum bit below:

if (! sha256sum -c <<<"525beba74bfac98f7b9c4f266c1162f6c12662a1b7b2850349537a612c14b4b9 $CACHEDIR/winewrap/dgVoodoo2_63_1.zip") ; then
echo "ERROR: Checksum failed for dgVoodoo2_63_1.zip !"
rm "$CACHEDIR/winewrap/dgVoodoo2_63_1.zip"
exit 11
fi

Not very scientific or even safe, I know, but it did the trick and it is all installed now.

Thanks for being willing to help out!
avatar
ylod111:
Ah but if you NOW replace the broken file it should work, right.
Post edited September 23, 2020 by Themken
avatar
ylod111:
avatar
Themken: Ah but if you NOW replace the broken file it should work, right.
I don't think I need to replace anything, it worked fine, but there is an interesting bit - the dgvoodoo archive is password protected, so that might be the reason for the failed checksum perhaps? The password is displayed on dgVoodoo website and it is "shitgoogle", very apt...
avatar
ylod111: The password is displayed on dgVoodoo website and it is "shitgoogle", very apt...
Aha! That one is new. It remember it was something else before so adamhm needs to react to this.
avatar
ylod111: ...
Thanks for reporting, I'll get this fixed as soon as I can :)
avatar
ylod111: ...
avatar
adamhm: Thanks for reporting, I'll get this fixed as soon as I can :)
A pleasure. Happy to help out any way I can!
high rated
The wrappers for The Longest Journey, Star Wars: Rogue Squadron 3D, Warhammer 40k: Chaos Gate and Warhammer 40k: Rites of War have been updated to use dgVoodoo 2.64 & the above issue has now been fixed.
avatar
adamhm: The wrappers for (...), Warhammer 40k: Chaos Gate and Warhammer 40k: Rites of War have been updated to use dgVoodoo 2.64 & the above issue has now been fixed.
nothing new about Mark of Chaos? :(
Post edited September 23, 2020 by Lubor87
high rated
Wrappers are now available for Prince of Persia: The Sands of Time trilogy, Prince of Persia (2008) and Neverwinter Nights 2 Complete.

avatar
Lubor87: nothing new about Mark of Chaos? :(
I don't have that game
Thanks so much!
First of all, thank you very much for your hard work, much appreciated.

For NEVERWINTER NIGHTS 2

I received dxvk::DxvkError error while trying to run the game. I googled it and it suggested a lack of Vulkan drivers. I seem to have the latest versions for mesa-vulkan-drivers and libvulkan1 . I had also installed your meta-package a while ago.

The game actually runs fine when I simply double click the nwn2.exe and run it with wine. But I want to be able to play the game your way.

What can be the problem?